Update a QuickBooks account
curl --request PATCH \
--url https://api.breezing.io/v1/qbo/accounts/{code} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"accountSubType": "<string>",
"acctNum": "<string>",
"description": "<string>",
"active": true
}
'import requests
url = "https://api.breezing.io/v1/qbo/accounts/{code}"
payload = {
"name": "<string>",
"accountSubType": "<string>",
"acctNum": "<string>",
"description": "<string>",
"active": True
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
accountSubType: '<string>',
acctNum: '<string>',
description: '<string>',
active: true
})
};
fetch('https://api.breezing.io/v1/qbo/accounts/{code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.breezing.io/v1/qbo/accounts/{code}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'accountSubType' => '<string>',
'acctNum' => '<string>',
'description' => '<string>',
'active' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.breezing.io/v1/qbo/accounts/{code}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"accountSubType\": \"<string>\",\n \"acctNum\": \"<string>\",\n \"description\": \"<string>\",\n \"active\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.breezing.io/v1/qbo/accounts/{code}")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"accountSubType\": \"<string>\",\n \"acctNum\": \"<string>\",\n \"description\": \"<string>\",\n \"active\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.breezing.io/v1/qbo/accounts/{code}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"accountSubType\": \"<string>\",\n \"acctNum\": \"<string>\",\n \"description\": \"<string>\",\n \"active\": true\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"code": "<string>",
"name": "<string>",
"type": "<string>",
"classification": "bank"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}QuickBooks
Update QuickBooks Account API
Update or deactivate an account in the linked QuickBooks Online company from Breezing, addressed by its account code in the chart.
PATCH
/
qbo
/
accounts
/
{code}
Update a QuickBooks account
curl --request PATCH \
--url https://api.breezing.io/v1/qbo/accounts/{code} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"accountSubType": "<string>",
"acctNum": "<string>",
"description": "<string>",
"active": true
}
'import requests
url = "https://api.breezing.io/v1/qbo/accounts/{code}"
payload = {
"name": "<string>",
"accountSubType": "<string>",
"acctNum": "<string>",
"description": "<string>",
"active": True
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
accountSubType: '<string>',
acctNum: '<string>',
description: '<string>',
active: true
})
};
fetch('https://api.breezing.io/v1/qbo/accounts/{code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.breezing.io/v1/qbo/accounts/{code}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'accountSubType' => '<string>',
'acctNum' => '<string>',
'description' => '<string>',
'active' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.breezing.io/v1/qbo/accounts/{code}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"accountSubType\": \"<string>\",\n \"acctNum\": \"<string>\",\n \"description\": \"<string>\",\n \"active\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.breezing.io/v1/qbo/accounts/{code}")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"accountSubType\": \"<string>\",\n \"acctNum\": \"<string>\",\n \"description\": \"<string>\",\n \"active\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.breezing.io/v1/qbo/accounts/{code}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"accountSubType\": \"<string>\",\n \"acctNum\": \"<string>\",\n \"description\": \"<string>\",\n \"active\": true\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"code": "<string>",
"name": "<string>",
"type": "<string>",
"classification": "bank"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Path Parameters
Query Parameters
Body
application/json
New QuickBooks AccountType. Send a matching accountSubType with it when the current subtype does not fit the new type.
Available options:
Bank, Other Current Asset, Fixed Asset, Other Asset, Accounts Receivable, Equity, Expense, Other Expense, Cost of Goods Sold, Accounts Payable, Credit Card, Long Term Liability, Other Current Liability, Income, Other Income Last modified on November 13, 2026